Create storage category
Create a new storage category
POST
/
admin
/
api
/
v1
/
inventories
/
storage-categories
Create storage category
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/storage-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Heavy Goods",
"allow_new_products": "mixed"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/storage-categories"
payload = {
"name": "Heavy Goods",
"allow_new_products": "mixed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Heavy Goods', allow_new_products: 'mixed'})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/storage-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/storage-categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Heavy Goods',
'allow_new_products' => 'mixed'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Created
⌘I
Create storage category
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/storage-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Heavy Goods",
"allow_new_products": "mixed"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/storage-categories"
payload = {
"name": "Heavy Goods",
"allow_new_products": "mixed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Heavy Goods', allow_new_products: 'mixed'})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/storage-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/storage-categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Heavy Goods',
'allow_new_products' => 'mixed'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}